@keyframes opacityBackgroundIn {
  0% {
    background-color: var(--mo-side-modal-background-color-transparent);
  }
  100% {
    background-color: var(--mo-side-modal-background-color);
  }
}
@keyframes opacityBackgroundOut {
  0% {
    background-color: var(--mo-side-modal-background-color);
  }
  100% {
    background-color: var(--mo-side-modal-background-color-transparent);
  }
}
@keyframes slideInFromRight {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(0);
  }
}
@keyframes slideOutFromRight {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}
@keyframes slideInFromLeft {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0);
  }
}
@keyframes slideOutFromLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

.mo-side-modal {
  --mo-side-modal-background-color: rgba(6, 18, 55, 0.8);
  --mo-side-modal-background-color-transparent: rgba(6, 18, 55, 0);
  font-family: sans-serif;

  display: none;
  &__opened {
    display: block;
  }

  .overlay {
    background-color: var(--mo-side-modal-background-color);
    backdrop-filter: blur(4px);
    opacity: 0.6;
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 90;
    animation: opacityBackgroundIn 1s 1 linear;
    &.close-in-progress {
      animation: opacityBackgroundOut 0.3s 1 linear;
    }
  }
  .modal {
    position: fixed;
    z-index: 99;
    top: 0;

    display: flex;
    flex-direction: column;
    padding: 29px 43px;
    height: 100vh;
    background: white;
    min-width: 465px;
    &.right {
      right: 0;
      animation: slideInFromRight 0.3s 1 ease-out;
    }
    &.close-in-progress-right {
      animation: slideOutFromRight 0.3s 1 ease-in;
    }
    &.left {
      left: 0;
      animation: slideInFromLeft 0.3s 1 ease-out;
    }
    &.close-in-progress-left {
      animation: slideOutFromLeft 0.3s 1 ease-in;
    }
    &__close-icon {
      cursor: pointer;
    }
    &__content {
      padding: 0 30px;
      margin-top: 58px;
    }
  }
}
